- [HTTP request](https://developers.google.com/doubleclick-advertisers/rest/v5/creatives/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/creatives/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/creatives/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/doubleclick-advertisers/rest/v5/creatives/list#body.request_body)
- [Response body](https://developers.google.com/doubleclick-advertisers/rest/v5/creatives/list#body.response_body)
  - [JSON representation](https://developers.google.com/doubleclick-advertisers/rest/v5/creatives/list#body.CreativesListResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/doubleclick-advertisers/rest/v5/creatives/list#body.aspect)
- [Try it!](https://developers.google.com/doubleclick-advertisers/rest/v5/creatives/list#try-it)

Retrieves a list of creatives, possibly filtered. This method supports [paging](https://developers.google.com/doubleclick-advertisers/trafficking_tasks#list).

### HTTP request

`GET https://dfareporting.googleapis.com/dfareporting/v5/userprofiles/{profileId}/creatives`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `profileId` | `string (https://developers.google.com/discovery/v1/type-format format)` User profile ID associated with this request. |

### Query parameters

| Parameters ||
|---|---|
| `ids[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only creatives with these IDs. |
| `searchString` | `string` Allows searching for objects by name or ID. Wildcards (`*`) are allowed. For example, `"creative*2015"` will return objects with names like `"creative June 2015"`, `"creative April 2015"`, or simply `"creative 2015"`. Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of `"creative"` will match objects with name `"my creative"`, `"creative 2015"`, or simply `"creative"`. |
| `active` | `boolean` Select only active creatives. Leave blank to select active and inactive creatives. |
| `archived` | `boolean` Select only archived creatives. Leave blank to select archived and unarchived creatives. |
| `sizeIds[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only creatives with these size IDs. |
| `types[]` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/creatives#Type`)`` Select only creatives with these creative types. |
| `campaignId` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only creatives with this campaign ID. |
| `studioCreativeId` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only creatives corresponding to this Studio creative ID. |
| `creativeFieldIds[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only creatives with these creative field IDs. |
| `renderingIds[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only creatives with these rendering IDs. |
| `companionCreativeIds[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only in-stream video creatives with these companion IDs. |
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only creatives with this advertiser ID. |
| `maxResults` | `integer` Maximum number of results to return. |
| `pageToken` | `string` Value of the `nextPageToken` from the previous result page. |
| `sortField` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/SortField`)`` Field by which to sort the list. |
| `sortOrder` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/SortOrder`)`` Order of sorted results. |

### Request body

The request body must be empty.

### Response body

Creative creatives.list Response

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "nextPageToken": string, "creatives": [ { object (`https://developers.google.com/doubleclick-advertisers/rest/v5/creatives#Creative`) } ] } ``` |

| Fields ||
|---|---|
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string `"dfareporting#creativesListResponse"`. |
| `nextPageToken` | `string` Pagination token to be used for the next list operation. |
| `creatives[]` | ``object (`https://developers.google.com/doubleclick-advertisers/rest/v5/creatives#Creative`)`` Creative collection. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/dfatrafficking`